<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-projects-qbs.qdoc -->
  <title>Setting Up Qbs | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Setting Up Qbs</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-project-cmake.html" />
  <link rel="next" href="creator-projects-autotools.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-project-cmake.html">Setting Up CMake</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-projects-autotools.html">Setting Up an Autotools Project</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#building-qbs">Building Qbs</a></li>
<li class="level1"><a href="#specifying-qbs-settings">Specifying Qbs Settings</a></li>
<li class="level1"><a href="#related-topics">Related Topics</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Setting Up Qbs</h1>
<span class="subtitle"></span>
<!-- $$$creator-project-qbs.html-description -->
<div class="descr"> <a name="details"></a>
<p>To use Qbs to build a project, you must create a .qbs file for the project. You can use Qt Creator to create a C or C++ project that is built with Qbs. For more information about Qbs, see the <a href="http://doc.qt.io/qbs/index.html">Qbs Manual</a>.</p>
<p>The application is built using the default Qbs profile that is associated with the build and run kit. Qt Creator automatically creates a Qbs profile for each kit. You can edit the build profiles by adding new keys and values.</p>
<p>To check which Qbs version is being used, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Kits</b> &gt; <b>Qbs</b>.</p>
<a name="building-qbs"></a>
<h2 id="building-qbs">Building Qbs</h2>
<p>If you build Qt Creator yourself from the Qt Creator Git repository, you also need to fetch the Qbs submodule to get Qbs support:</p>
<ol class="1" type="1"><li>Fetch the Qbs submodule in your Qt Creator git checkout with <code>git submodule update --init</code>.</li>
<li>Run qmake on Qt Creator and build Qt Creator again.</li>
</ol>
<a name="specifying-qbs-settings"></a>
<h2 id="specifying-qbs-settings">Specifying Qbs Settings</h2>
<p>To specify settings for Qbs, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Kits</b> &gt; <b>Qbs</b>.</p>
<p class="centerAlign"><img src="images/qtcreator-options-qbs.png" alt="" /></p><p>By default, Qbs profiles are stored in the <code>qbs</code> directory in the Qt Creator settings directory to ensure that different Qt Creator instances do not overwrite each other's profiles. If you only run one Qt Creator instance, you can store the profiles in the Qbs settings directory instead, by deselecting the <b>Store profiles in Qt Creator settings directory</b> check box.</p>
<p>In the <b>Kit</b> field, select a build and run kit to view the properties of the associated Qbs profile. To modify the properties of the Qbs profile associated with a kit, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Kits</b>. For more information, see <a href="creator-targets.html#editing-qbs-profiles">Editing Qbs Profiles</a>.</p>
<a name="related-topics"></a>
<h2 id="related-topics">Related Topics</h2>
<ul>
<li><a href="creator-project-opening.html">Opening Projects</a></li>
<li><a href="creator-build-settings.html">Specifying Build Settings</a></li>
<li><a href="creator-run-settings.html">Specifying Run Settings</a></li>
</ul>
</div>
<!-- @@@creator-project-qbs.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-project-cmake.html">Setting Up CMake</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-projects-autotools.html">Setting Up an Autotools Project</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
